%define name	tar
%define version	1.13.25
%define release	12sls

# rh-1.3.25-4
%define _bindir /bin

Summary:	A GNU file archiving program.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Archiving/Backup
URL:		http://www.gnu.org/software/tar/tar.html
Source:		ftp://ftp.gnu.org/pub/gnu/tar/tar-%{version}.tar.bz2
Patch0:		tar-1.13.18-manpage.patch.bz2
Patch1:		tar-1.13.25-sock.patch.bz2
Patch7:		tar-1.13.19-error.patch.bz2
Patch8:		tar-1.13.19-absolutenames.patch.bz2
Patch9:		tar-1.13.25-automake.patch.bz2
Patch10:	tar-1.13.25-corruption-fix.patch.bz2 
Patch11:	tar-dots.patch.bz2
Patch105:	tar-1.13.22-yIfilter.patch.bz2

Buildroot:	%{_tmppath}/%{name}-root

Prereq:		/sbin/install-info /sbin/rmt

%description
The GNU tar program saves many files together into one archive and
can restore individual files (or all of the files) from the archive.
Tar can also be used to add supplemental files to an archive and to
update or list files in the archive.

Tar includes multivolume support, automatic archive compression/
decompression, the ability to perform remote archives and the
ability to perform incremental and full backups.

If you want to use Tar for remote backups, you'll also need to
install the rmt package.

You should install the tar package, because you'll find its
compression and decompression utilities essential for working
with files.

%prep
%setup -q
%patch0 -p1 -b .manpage
%patch1 -p1 -b .sock
%patch105 -p1 -b .yIfilter
%patch7 -p1 -b .err
%patch9 -p1 -b .automake
%patch10 -p1
%patch8 -p1 -b .absn
%patch11 -p1 -b .dots

%build
unset LINGUAS || :
export CFLAGS="$RPM_OPT_FLAGS -DHAVE_STRERROR -D_GNU_SOURCE"
%configure2_5x  --bindir=/bin --libexecdir=/sbin
%make LIBS=-lbsd
make check

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
ln -sf tar $RPM_BUILD_ROOT/bin/gtar
mkdir -p $RPM_BUILD_ROOT%_mandir/man1
install -m644 tar.1 $RPM_BUILD_ROOT%_mandir/man1

# rmt is provided by rmt ...
rm -f $RPM_BUILD_ROOT/%_libdir/rmt

%find_lang %{name}

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS THANKS AUTHORS README
/bin/tar
/bin/gtar
%{_infodir}/tar.info*
%{_mandir}/man1/tar.1*


%changelog
* Mon Dec 01 2003 Vincent Danen <vdanen@opensls.org> 1.13.25-12sls
- OpenSLS build
- tidy spec

* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.13.25-11mdk
- rebuild

* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.13.25-10mdk
- fix unpackaged files
- fix strange-permission

* Mon Nov 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.13.25-9mdk
- Remove service menu

* Sat Oct 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.13.25-8mdk
- Add konqueror service menu. Now when we right click on a tar file in konqueror we can untar it.

* Thu Oct 10 2002 Vincent Danen <vdanen@mandrakesoft.cmo> 1.13.25-7mdk
- fix traversal bug (P11) (re: MDKSA-2002:066)

* Wed Aug 21 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.13.25-6mdk
- add url (Yura Gusev)

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.13.25-5mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Fri Aug 09 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.13.25-4mdk
- Automake fix.

* Mon May 06 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.13.25-3mdk
- Automated rebuild in gcc3.1 environment

* Mon Apr 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.13.25-2mdk
- resync with rh-1.3.25-4
- remove merged patches
- fix archive corruption in rare cases [Patch10]

* Sat Oct 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.13.25-1mdk
- The latest in tar innovations the all-new 1.13.25.

* Sat Sep 08 2001 David BAUDENS <baudens@mandrakesoft.com> 1.13.22-3mdk
- Fix broken patch which allows to use -y and -I option

* Wed Sep 05 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.13.22-2mdk
- -I is back.

* Sat Sep 01 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.13.22-1mdk
- A new and shiny tar to fix a security problem in the old and ugly tar.
- Obsolete some of the patches, it seems that they are no longer needed.
- Depend on librt again, until I have time to get around this.

* Tue Aug 28 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.13.19-7mdk
- s/Copyright/License/;

* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.13.19-6mdk
- Sanity build before 8.1.
- RH patch merge: 
  - Don't depend on librt.
  - Bettter AC_DEFINE in acinclude.m4.
  - Return correctly in src/incremen.c.
  
* Thu Mar 15 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.13.19-5mdk
- fix info installation

* Thu Jan 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.13.19-4mdk
- I'm dumb so fix the wrong spelling in the -{y,I} filter warning.

* Wed Jan 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.13.19-3mdk
- put back the I filter also, dammit I really need some coffee before I work.

* Mon Jan 15 2001 Geoff <snailtalk@mandrakesoft.com> 1.13.19-2mdk
- put back the y filter, damn, how can I be so careless...

* Sun Jan 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.13.19-1mdk
- new and shiny source.

* Thu Dec  7 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 1.13.18-4mdk
- Run automated tests at build time
- Use optflags.

* Fri Nov 17 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.13.18-3mdk
- break compatibility with stock GNU tar and Solaris, but print and
  appropriate warning. :(

* Thu Nov 16 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.13.18-2mdk
- Red Hat patch merge a.k.a shamelessly rip patches.
- port the y_filter patch, plus add a warning with fprintf() to stderr
  indicating it is deprecated. (David Baudens, Pixel.)

* Wed Nov 15 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.13.18-1mdk
- Remove exit code patch. It's no longer needed.
- bump up version.
- remove patch1. Using -y for bzip2 is obsolete!

* Mon Sep 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.13.17-7mdk
- New exit code patch from rh.

* Sun Sep 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.13.17-6mdk
- Fix exit code (rh).

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.13.17-5mdk
- BM, add doc

* Thu Jul 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.13.17-4mdk
- BM.
- More macros.

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.13.17-3mdk
- Use makeinstall macros.

* Wed Mar 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.13.17-2mdk
- Clean up specs.
- Adjust groups.
- Merge rh patchs.

* Thu Feb 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.13.17-1mdk
- Make -y alias to -I and document it as obsoltes.
- 1.13.17.

* Tue Jan 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.13.11-3mdk
- call configure with LINGUAS unset.

* Mon Nov  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Reinserting -y support patchs.

* Wed Oct 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Split: back to the tar stable version for cassini.

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 1.13.13.

* Thu Oct 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 1.13.12.

* Fri Sep 03 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 1.13.11

* Fri Aug 20 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.13.10

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.3.6

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.13.5

* Thu Jul 15 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.13.2
- french description 

* Tue Jul 12 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 1.13.1

* Fri Jul 09 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.3.
- Patch to handle bzip2.

* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update to 1.2.64011.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- add de locale
- some spec tweaks
- bzip2 man/info pages
- Mandrake adaptions
- update to 1.12.64010 to get the -y (--bzip2) option

* Mon Mar 08 1999 Michael Maher <mike@redhat.com>
- added patch for bad name cache. 
- FIXES BUG 320

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- add /usr/bin/gtar symlink (change #421)

* Tue Jul 14 1998 Jeff Johnson <jbj@redhat.com>
- Fiddle bindir/libexecdir to get RH install correct.
- Don't include /sbin/rmt -- use the rmt from dump.
- Turn on nls.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- updated from 1.11.8 to 1.12
- various spec file cleanups
- /sbin/install-info support

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu May 29 1997 Michael Fulbright <msf@redhat.com>
- Fixed to include rmt
